### org.jfree.layouting.layouter.content.computed

# Class CounterToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.computed.ComputedToken`
  - - `org.jfree.layouting.layouter.content.computed.CounterToken`

Implemented Interfaces:
  ContentToken

`public class CounterToken`
`extends ComputedToken`

Creation-Date: 25.05.2006, 17:16:40

Author:
  Thomas Morgner

  ## Constructor Summary

  `CounterToken(String name, CounterStyle style)`

  ## Method Summary

  `String`

  `getName()`

  `CounterStyle`

  `getStyle()`

## Constructor Details

### CounterToken

    public CounterToken(String name,
                        CounterStyle style)

## Method Details

### getName

    public String getName()

### getStyle

    public CounterStyle getStyle()